#
# spec file for package libm4rie
#
# Copyright (c) 2022 SUSE LLC
#
# All modifications and additions to the file contributed by third parties
# remain the property of their copyright owners, unless otherwise agreed
# upon. The license for this file, and modifications and additions to the
# file, is the same license as for the pristine package itself (unless the
# license for the pristine package is not an Open Source License, in which
# case the license is the MIT License). An "Open Source License" is a
# license that conforms to the Open Source Definition (Version 1.9)
# published by the Open Source Initiative.

# Please submit bugfixes or comments via https://bugs.opensuse.org/
#


Name:           libm4rie
Version:        20200125
# Note that libm4rie is not always updated in lockstep with libm4ri,
# and that is absolutely normal.
%define lname	libm4rie-0_0_%version
Release:        1.5
Summary:        Library for linear arithmetic over GF(2^e)
License:        GPL-2.0-or-later
Group:          Productivity/Scientific/Math
URL:            https://bitbucket.org/malb/m4rie

#Git-Clone:	https://bitbucket.org/malb/m4rie.git
Source:         https://bitbucket.org/malb/m4rie/downloads/m4rie-%version.tar.gz
BuildRequires:  libm4ri-devel
BuildRequires:  pkg-config

%description
M4RIE is a library for arithmetic with dense matrices over the
Galois Field GF(2^e).

%package -n %lname
Summary:        Library for linear arithmetic over GF(2^e)
Group:          System/Libraries

%description -n %lname
M4RIE is a library for arithmetic with dense matrices over the
Galois Field GF(2^e).

%package devel
Summary:        Development files for GF(2^e) arithmetic with libm4rie
Group:          Development/Libraries/C and C++
Requires:       %lname = %version

%description devel
M4RIE is a library for arithmetic with dense matrices over the
Galois Field GF(2^e).

This subpackage contains libraries and header files for developing
applications that want to make use of libm4rie.

%prep
%autosetup -n m4rie-%version

%build
%configure --disable-static
%make_build

%install
%make_install
rm -f "%buildroot/%_libdir"/*.la

%post   -n %lname -p /sbin/ldconfig
%postun -n %lname -p /sbin/ldconfig

%files -n %lname
%_libdir/libm4rie-0.0.%version.so

%files devel
%_libdir/libm4rie.so
%_libdir/pkgconfig/*.pc
%_includedir/m4rie/

%changelog
* Sat Nov 19 2022 Jan Engelhardt <jengelh@inai.de>
- Use exact upstream version number
  (switch from 0~20200125 -> 20200125)
* Wed Jun 10 2020 Jan Engelhardt <jengelh@inai.de>
- Update to release 20200125
  * Minor bug fixes.
* Sat Nov 14 2015 jengelh@inai.de
- Update to new upstream release 20150908
  * Improvements to the build system and fixing a bug in the tests.
* Sat Oct 11 2014 jengelh@inai.de
- Update to new upstream release 20140914
  * No changelog was provided
* Wed Feb  5 2014 jengelh@inai.de
- Update to new upstream release 20130416
  * performance improvements for small matrices (say, 64×64)
* Thu Nov 29 2012 jengelh@inai.de
- Update to new upstream release 0.0.20120613
  * support for reading and writing 1-bit PNG images
  * much improved performance for 4<e≤8
* Sun Feb 26 2012 scorot@free.fr
- fix build for SLE-11
* Sun Nov 20 2011 werner.ho@gmx.de
- new version 20111004
* Tue Sep 27 2011 jengelh@medozas.de
- Initial package for build.opensuse.org
